module JWTToolkit
  class Claim
    attr_accessor :expire, :uid

    def self.from_jwt(raw)
      new raw[:uid], expire: Time.at(raw[:exp])
    end

    def initialize(uid, expire:)
      @uid = uid
      @expire = expire
    end

    def to_jwt
      {
        uid: uid,
        exp: format_time(expire)
      }
    end

    private

    def format_time(time)
      time.to_i
    end
  end
end
