module JWTToolkit
  module Strategies
    class JWTAsymmetric

      def initialize(public_key)
        @key = public_key
      end

      def encode(data)
        payload = JSON::JWT.new(data)
        payload.encrypt(@key).to_s
      end

      def decode(token, secret)
        JSON::JWT.decode(token, secret)
      end
    end
  end
end
