module JWTToolkit
  module Strategies
    class JWTSymmetric

      def initialize(shared_secret)
        @key = shared_secret
      end

      def encode(data)
        payload = JSON::JWT.new(data)
        payload.sign(@key).to_s
      end

      def decode(token, _secret)
        JSON::JWT.decode(token, @key)
      end
    end
  end
end
