require_relative 'strategies/jwt_symmetric'
require_relative 'strategies/jwt_asymmetric'
require_relative 'claim'

module JWTToolkit
  class TokenIssuer
    def initialize(strategy, key)
      @strategy = strategy.new(key)
    end

    def create(claim)
      @strategy.encode(claim.to_jwt)
    end

    def read(token, secret=nil)
      Claim.from_jwt @strategy.decode(token, secret)
    end
  end
end
